[CalendarServer-changes] [4909] CalendarServer/trunk

source_changes at macosforge.org source_changes at macosforge.org
Wed Jan 6 13:14:23 PST 2010


Revision: 4909
          http://trac.macosforge.org/projects/calendarserver/changeset/4909
Author:   wsanchez at apple.com
Date:     2010-01-06 13:14:22 -0800 (Wed, 06 Jan 2010)
Log Message:
-----------
2>&1 FTW

Modified Paths:
--------------
    CalendarServer/trunk/support/build.sh
    CalendarServer/trunk/twistedcaldav/directory/cachingdirectory.py

Modified: CalendarServer/trunk/support/build.sh
===================================================================
--- CalendarServer/trunk/support/build.sh	2010-01-06 21:13:58 UTC (rev 4908)
+++ CalendarServer/trunk/support/build.sh	2010-01-06 21:14:22 UTC (rev 4909)
@@ -415,7 +415,7 @@
 # or, it may do as much as download and install all dependencies.
 dependencies () {
 
-  if ! type memcached >& /dev/null; then
+  if ! type memcached > /dev/null 2>&1; then
     # Dependencies compiled from C source code
     local le="libevent-1.4.8-stable";
     c_dependency "libevent" "${le}" \
@@ -435,7 +435,7 @@
   py_dependency "PyOpenSSL" "OpenSSL" "pyOpenSSL-0.9" \
     "www" "http://pypi.python.org/packages/source/p/pyOpenSSL/pyOpenSSL-0.9.tar.gz" \
     false false false false 0;
-  if type krb5-config > /dev/null; then
+  if type krb5-config > /dev/null 2>&1; then
     py_dependency "PyKerberos" "kerberos" "PyKerberos" \
       "svn" "${svn_uri_base}/PyKerberos/trunk" \
       false false false false 4241;

Modified: CalendarServer/trunk/twistedcaldav/directory/cachingdirectory.py
===================================================================
--- CalendarServer/trunk/twistedcaldav/directory/cachingdirectory.py	2010-01-06 21:13:58 UTC (rev 4908)
+++ CalendarServer/trunk/twistedcaldav/directory/cachingdirectory.py	2010-01-06 21:14:22 UTC (rev 4909)
@@ -254,13 +254,9 @@
         else:
             # Only use recordTypes this service supports:
             supportedRecordTypes = self.recordTypes()
-            typesToQuery = []
-            for recordType in recordTypes:
-                if recordType in supportedRecordTypes:
-                    typesToQuery.append(recordType)
-            if not typesToQuery:
+            recordTypes = [t for t in recordTypes if t in supportedRecordTypes]
+            if not recordTypes:
                 return None
-            recordTypes = typesToQuery
 
         def lookup():
             for recordType in recordTypes:
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20100106/28d2f9b6/attachment.html>


More information about the calendarserver-changes mailing list